Delete Group

Delete one or more groups and unassign every device in them.

This method allows you to delete one or multiple groups. It requires group names to be deleted. All devices if assigned to that group will be unassigned from the group upon deletion.

KeyMeaningMandatoryData Type
groupnameGroup name to be deleted. Multiple groups can be deleted by sending multiple parameter sets.Yesstring
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.platform import PlatformClient

client = PlatformClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response = client.Group.delete(
    groupname="DemoGroup"
)

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json